Get Listings
curl --request GET \
--url https://api.depict.ai/v3/listingsimport requests
url = "https://api.depict.ai/v3/listings"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.depict.ai/v3/listings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"listing_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"listing_type": "long_tail_collection",
"show_in_breadcrumbs": true,
"show_in_quicklinks": true,
"image_urls": [
"<string>"
],
"title": "<string>",
"children": "<array>",
"external_id": "<string>",
"slug": "<string>"
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Listing (v3)
Get Listings
GET
/
v3
/
listings
Get Listings
Query Parameters
Available options:
long_tail_collection, campaign, category, smart_pick, style, brand, look Response
Successful Response
Depict ID of the listing.
Available options:
long_tail_collection, campaign, category, smart_pick, style, brand, look Show or hide this listing in navigation breadcrumbs.
Show or hide this listing in quicklinks.
List of image URLs for the listing.
ID of the listing in the merchant PIM, CMS or similar.
Was this page helpful?

